cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
346
Views
15
Helpful
7
Replies

ISR4331/4221 Software Releases - Gibraltar vs Amsterdam

Bilal Al-Sardar
Beginner
Beginner

Hello,

 

 

Kindly I am looking for your advise on which software release to choose (Amsterdam-17.3.5 OR Gibraltar-16.12.5) if I want to upgrade Cisco ISR4331/4221 routers. Both are recommended S/W releases, although Gibraltar consumes Smart-license which we are not using currently.

 

Thanks & Regards,

7 Replies 7

balaji.bandi
VIP Community Legend VIP Community Legend
VIP Community Legend

Personally i would go to 17.3.X version that is moving forward, eventually you need to go that version, soon or later 16.X going to be end of Life.

 

read the release notes :

https://www.cisco.com/c/en/us/td/docs/routers/access/4400/release/xe-17-3/isr4k-rel-notes-xe-17-3.html

 

here is smart License :

 

https://www.cisco.com/c/en/us/support/docs/ios-nx-os-software/ios-xe-17/217046-configure-smart-licensing-using-policy-o.html#anc1

 

You can contact License team to conver the License for you.

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

Hello Balaji,

 

Thanks for the prompt response, appreciated.

 

 

Regards,

Flavio Miranda
Advisor
Advisor

Hi

 According to my experience with TAC, I think the obvious version is the newer one. We know however that the newer the version more risky as we dont know what we are about to face in terms of bugs. 

 So,  my advise is if you are already running a version and it is stable and you are facing no problem, keep the version. But, if you are building something new or need some specific  feature, then go to newer recommend version.

Hello Flavio,

 

I totally agree with you. although the current version is stable and I am not facing any serious issues whatsoever. but you can say it is a mandatory procedure in our environment due to the security vulnerability reports.

I get that.  I used to work for a Bank in the recently past and we faced this challange all the time. Handling newer version due security concern although currently version was doing just fine. 

jmcgrady1
Beginner
Beginner

Ive seen bugs with 17.3. I'd be interested to hear if 17 other than 17.3 are fairing better

Currently using Amsterdam 17.3.5 on ISR4331 licensed with (security bundle), I didn't face any issues (Bugs, Crashes, etc...) whatsoever.

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers